%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  Require
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Installing and Loading R Packages for Reproducible Workflows

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.0
Requires:         R-core >= 4.0
BuildArch:        noarch
BuildRequires:    R-CRAN-data.table >= 1.10.4
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-sys 
BuildRequires:    R-tools 
BuildRequires:    R-utils 
Requires:         R-CRAN-data.table >= 1.10.4
Requires:         R-methods 
Requires:         R-CRAN-sys 
Requires:         R-tools 
Requires:         R-utils 

%description
A single key function, 'Require' that makes rerun-tolerant versions of
'install.packages' and `require` for CRAN packages, packages no longer on
CRAN (i.e., archived), specific versions of packages, and GitHub packages.
This approach is developed to create reproducible workflows that are
flexible and fast enough to use while in development stages, while able to
build snapshots once a stable package collection is found. As with other
functions in a reproducible workflow, this package emphasizes functions
that return the same result whether it is the first or subsequent times
running the function, with subsequent times being sufficiently fast that
they can be run every time without undue waiting burden on the user or
developer.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
